Bug 57303 - i740_driver.c:68:22: error: mibstore.h: No such file or directory
Summary: i740_driver.c:68:22: error: mibstore.h: No such file or directory
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/i740 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) other
: medium blocker
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-20 05:11 UTC by Matthew Eggers
Modified: 2014-03-21 19:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Eggers 2012-11-20 05:11:20 UTC
System: Debian Squeeze 6.0
Kernel: 3.7.0-rc4-g4d8bd4f 

While compiling git:
commit c754f573590b74b16d0deb9f86d6505bffa028bf
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-i740: bump to version 1.3.4
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

Compiler output:

======================================================================
==  Processing module/component:  "driver/xf86-video-i740"
==        configuration options:   
Current branch master is up to date.
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I /home/matthewe/build/share/aclocal 
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
autoreconf: configure.ac: tracing
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
autoreconf: running: libtoolize --copy
libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.ac and
libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
autoreconf: running: /usr/bin/autoconf
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
autoreconf: running: /usr/bin/autoheader
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
autoreconf: running: automake --add-missing --copy --no-force
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
autoreconf: Leaving directory `.'
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking for gcc option to accept ISO C99... -std=gnu99
checking how to run the C preprocessor... gcc -std=gnu99 -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking whether __clang__ is declared... no
checking whether __INTEL_COMPILER is declared... no
checking whether __SUNPRO_C is declared... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking if gcc -std=gnu99 supports -Werror=unknown-warning-option... no
checking if gcc -std=gnu99 supports -Werror=unused-command-line-argument... no
checking if gcc -std=gnu99 supports -Wall... yes
checking if gcc -std=gnu99 supports -Wpointer-arith... yes
checking if gcc -std=gnu99 supports -Wmissing-declarations... yes
checking if gcc -std=gnu99 supports -Wformat=2... yes
checking if gcc -std=gnu99 supports -Wstrict-prototypes... yes
checking if gcc -std=gnu99 supports -Wmissing-prototypes... yes
checking if gcc -std=gnu99 supports -Wnested-externs... yes
checking if gcc -std=gnu99 supports -Wbad-function-cast... yes
checking if gcc -std=gnu99 supports -Wold-style-definition... yes
checking if gcc -std=gnu99 supports -Wdeclaration-after-statement... yes
checking if gcc -std=gnu99 supports -Wunused... yes
checking if gcc -std=gnu99 supports -Wuninitialized... yes
checking if gcc -std=gnu99 supports -Wshadow... yes
checking if gcc -std=gnu99 supports -Wcast-qual... yes
checking if gcc -std=gnu99 supports -Wmissing-noreturn... yes
checking if gcc -std=gnu99 supports -Wmissing-format-attribute... yes
checking if gcc -std=gnu99 supports -Wredundant-decls... yes
checking if gcc -std=gnu99 supports -Werror=implicit... yes
checking if gcc -std=gnu99 supports -Werror=nonnull... yes
checking if gcc -std=gnu99 supports -Werror=init-self... yes
checking if gcc -std=gnu99 supports -Werror=main... yes
checking if gcc -std=gnu99 supports -Werror=missing-braces... yes
checking if gcc -std=gnu99 supports -Werror=sequence-point... yes
checking if gcc -std=gnu99 supports -Werror=return-type... yes
checking if gcc -std=gnu99 supports -Werror=trigraphs... yes
checking if gcc -std=gnu99 supports -Werror=array-bounds... yes
checking if gcc -std=gnu99 supports -Werror=write-strings... yes
checking if gcc -std=gnu99 supports -Werror=address... yes
checking if gcc -std=gnu99 supports -Werror=int-to-pointer-cast... yes
checking if gcc -std=gnu99 supports -Werror=pointer-to-int-cast... yes
checking if gcc -std=gnu99 supports -pedantic... yes
checking if gcc -std=gnu99 supports -Werror... yes
checking if gcc -std=gnu99 supports -Werror=attributes... yes
checking for a sed that does not truncate output... (cached) /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by gcc -std=gnu99... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc -std=gnu99 object... ok
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc -std=gnu99 supports -fno-rtti -fno-exceptions... no
checking for gcc -std=gnu99 option to produce PIC... -fPIC -DPIC
checking if gcc -std=gnu99 PIC flag -fPIC -DPIC works... yes
checking if gcc -std=gnu99 static flag -static works... yes
checking if gcc -std=gnu99 supports -c -o file.o... yes
checking if gcc -std=gnu99 supports -c -o file.o... (cached) yes
checking whether the gcc -std=gnu99 linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking if RANDR is defined... yes
checking if RENDER is defined... yes
checking if XV is defined... yes
checking if DPMSExtension is defined... yes
checking for XORG... yes
checking whether XSERVER_LIBPCIACCESS is declared... yes
checking for PCIACCESS... yes
checking xaa.h usability... no
checking xaa.h presence... no
checking for xaa.h... no
checking whether to include XAA support... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating man/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing libtool commands
(CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/bash /home/matthewe/src/driver/xf86-video-i740/missing --run autoheader)
configure.ac:25: warning: AC_INIT: not a literal: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
rm -f stamp-h1
touch config.h.in
make  all-recursive
make[1]: Entering directory `/home/matthewe/src/driver/xf86-video-i740'
Making all in src
make[2]: Entering directory `/home/matthewe/src/driver/xf86-video-i740/src'
  CC     i740_accel.lo
In file included from i740_accel.c:45:
/home/matthewe/build/include/xorg/xf86PciInfo.h:50:2: warning: #warning "xf86PciInfo.h is deprecated.  For greater compatibility, drivers should include necessary PCI IDs locally rather than relying on this file from xorg-server."
  CC     i740_cursor.lo
In file included from i740.h:40,
                 from i740_cursor.c:47:
/home/matthewe/build/include/xorg/xf86PciInfo.h:50:2: warning: #warning "xf86PciInfo.h is deprecated.  For greater compatibility, drivers should include necessary PCI IDs locally rather than relying on this file from xorg-server."
  CC     i740_dga.lo
In file included from i740_dga.c:32:
/home/matthewe/build/include/xorg/xf86PciInfo.h:50:2: warning: #warning "xf86PciInfo.h is deprecated.  For greater compatibility, drivers should include necessary PCI IDs locally rather than relying on this file from xorg-server."
i740_dga.c:44: warning: ‘I740_Sync’ used but never defined
  CC     i740_driver.lo
i740_driver.c:68:22: error: mibstore.h: No such file or directory
In file included from i740.h:40,
                 from i740_driver.c:94:
/home/matthewe/build/include/xorg/xf86PciInfo.h:50:2: warning: #warning "xf86PciInfo.h is deprecated.  For greater compatibility, drivers should include necessary PCI IDs locally rather than relying on this file from xorg-server."
i740_driver.c: In function ‘I740ScreenInit’:
i740_driver.c:1561: warning: implicit declaration of function ‘miInitializeBackingStore’
make[2]: *** [i740_driver.lo] Error 1
make[2]: Leaving directory `/home/matthewe/src/driver/xf86-video-i740/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/matthewe/src/driver/xf86-video-i740'
make: *** [all] Error 2
build.sh: "make " failed on driver/xf86-video-i740
build.sh: error processing module/component:  "driver/xf86-video-i740"

============================================================================

The AC_INIT business at the top can be *safely* ignored. My version of autoconf apparently doesn't like the '?' in the freedesktop url.

The error thrown during compilation is: i740_driver.c:68:22: error: mibstore.h: No such file or directory. 

I can resume if I comment out this include - or I can include the file which appears to be represented here:
http://www.opensource.apple.com/source/X11server/X11server-85/kdrive/xorg-server-1.6.0/mi/mibstore.h

Please verify if this file is indeed deprecated. Thanks!
Comment 1 Homer Simpson 2013-01-04 15:54:45 UTC
The following drivers have refs to mibstore.h that can be removed.

driver/xf86-video-geode
driver/xf86-video-i740 
driver/xf86-video-apm
driver/xf86-video-ark
driver/xf86-video-s3
driver/xf86-video-vmware

mibstore.h seems to have been removed it has previously been deprecated all it 
held was a empty define for backward compat.
Comment 2 Adam Jackson 2014-03-21 19:24:46 UTC
This has been fixed in all drivers that are still supported.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.